import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.util.Vector;

/**
 * Clase encargada de la lectura de Archivos.
 * 
 * @author Claudio Castro, Gunther Bevensee, Marcelo Rutte. 
 *
 */
public class Lector {
	
	
	/**		Mtodo diseado para leer 2 archivos, vina.txt o valpo.txt, la seleccin de estos archivos
	 * se determinan con el parmetro a. 
	 * 	
	 * @param a Si a es uno se lee vina.txt, si es 0 se lee valpo.txt
	 * @return direcciones retorna un vector con el contenido del archivo, cada lnea es un elemento del vector.
	 * @throws IOException
	 */

	public static Vector<String> leer (boolean a) throws IOException {
		Vector<String> direcciones = new Vector<String>();
		String sCadena;
		String s="vina.txt";
		if(a)
		{
			s="datos.txt";
		}
		FileReader fr = new FileReader(s);
		BufferedReader bf = new BufferedReader(fr);
		while ((sCadena = bf.readLine())!=null) {
			direcciones.addElement(sCadena);
			} 
		return direcciones; 
	
}
}